Package org.opensaml.saml.saml2.wssecurity

# Class SAML20AssertionToken

java.lang.Object
org.opensaml.soap.wssecurity.messaging.AbstractToken<Assertion>
org.opensaml.saml.saml2.wssecurity.SAML20AssertionToken

All Implemented Interfaces:
  `Token<Assertion>`

public class SAML20AssertionToken extends AbstractToken<Assertion>
Implementation of SAML 2.0 Assertion token.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.opensaml.soap.wssecurity.messaging.Token

`Token.ValidationStatus`

## Field Summary

Fields
Modifier and Type
Field
Description
`private SubjectConfirmation`
`subjectConfirmation`
Get the successfully attested SubjectConfirmation.

## Constructor Summary

Constructors
Constructor
Description
`SAML20AssertionToken(Assertion token)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`SubjectConfirmation`
`getSubjectConfirmation()`
Get the successfully attested SubjectConfirmation.
`void`
`setSubjectConfirmation(SubjectConfirmation newSubjectConfirmation)`
Set the successfully attested SubjectConfirmation.

### Methods inherited from class org.opensaml.soap.wssecurity.messaging.AbstractToken

`getValidationStatus, getWrappedToken, setValidationStatus`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### subjectConfirmation

@Nullable private SubjectConfirmation subjectConfirmation
Get the successfully attested SubjectConfirmation.

## Constructor Details

### SAML20AssertionToken

public SAML20AssertionToken(@Nonnull Assertion token)
Constructor.

Parameters:
  `token` - the wrapped token

## Method Details

### getSubjectConfirmation

@Nullable public SubjectConfirmation getSubjectConfirmation()
Get the successfully attested SubjectConfirmation.

Returns:
  the attested SubjectConfirmation

### setSubjectConfirmation

public void setSubjectConfirmation(@Nullable SubjectConfirmation newSubjectConfirmation)
Set the successfully attested SubjectConfirmation.

Parameters:
  `newSubjectConfirmation` - the new attested SubjectConfirmation